AttributePrioDataSources (CMDB Model API)
Keywords: com.collation.platform.model.attributeprio.AttributePrioDataSources interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.attributeprio
Interface AttributePrioDataSources

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AttributePrioDataSources

extends ModelObject

Naming Rules:
  0="productName,hostName"
Persistable:
  true
Table Name:
  ATTRSRC
Display Name:
  productName,hostName

Method Summary
`java.lang.String` | `getHostName()`
`int` | `getId()`
`java.lang.String` | `getInternalId()`
`java.lang.String` | `getManufacturerName()`
`java.lang.String` | `getMssGuidString()`
`java.lang.String` | `getMssSubComponent()`
`java.lang.String` | `getMssSubComponentInstance()`
`Guid` | `getOwnGuid()`
`java.lang.String` | `getProductName()`
`boolean` | `hasHostName()`
`boolean` | `hasId()`
`boolean` | `hasInternalId()`
`boolean` | `hasManufacturerName()`
`boolean` | `hasMssGuidString()`
`boolean` | `hasMssSubComponent()`
`boolean` | `hasMssSubComponentInstance()`
`boolean` | `hasOwnGuid()`
`boolean` | `hasProductName()`
`void` | `setHostName(java.lang.String hostName)`
`void` | `setId(int IdIn)`
`void` | `setInternalId(java.lang.String internalId)`
`void` | `setManufacturerName(java.lang.String manufacturerNameIn)`
`void` | `setMssGuidString(java.lang.String guidString)`
`void` | `setMssSubComponent(java.lang.String subComponent)`
`void` | `setMssSubComponentInstance(java.lang.String subComponentInstance)`
`void` | `setOwnGuid(Guid guidIn)`
`void` | `setProductName(java.lang.String productNameIn)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getId

    int getId()
              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setId

    void setId(int IdIn)

### hasId

    boolean hasId()

### getMssGuidString

    java.lang.String getMssGuidString()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMssGuidString

    void setMssGuidString(java.lang.String guidString)

### hasMssGuidString

    boolean hasMssGuidString()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String productNameIn)

### hasProductName

    boolean hasProductName()

### getManufacturerName

    java.lang.String getManufacturerName()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturerName

    void setManufacturerName(java.lang.String manufacturerNameIn)

### hasManufacturerName

    boolean hasManufacturerName()

### getHostName

    java.lang.String getHostName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostName

    void setHostName(java.lang.String hostName)

### hasHostName

    boolean hasHostName()

### getOwnGuid

    Guid getOwnGuid()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOwnGuid

    void setOwnGuid(Guid guidIn)

### hasOwnGuid

    boolean hasOwnGuid()

### getMssSubComponent

    java.lang.String getMssSubComponent()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMssSubComponent

    void setMssSubComponent(java.lang.String subComponent)

### hasMssSubComponent

    boolean hasMssSubComponent()

### getMssSubComponentInstance

    java.lang.String getMssSubComponentInstance()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMssSubComponentInstance

    void setMssSubComponentInstance(java.lang.String subComponentInstance)

### hasMssSubComponentInstance

    boolean hasMssSubComponentInstance()

### getInternalId

    java.lang.String getInternalId()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInternalId

    void setInternalId(java.lang.String internalId)

### hasInternalId

    boolean hasInternalId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD